For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tables

Buscar tabela por ID

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
tableIdstringObrigatório

ID da tabela

Respostas
200

OK

application/json
idstringOpcional
database_idstringOpcional
namestringOpcional
titlestringOpcional
activebooleanOpcional
show_columnsbooleanOpcional
show_filtersbooleanOpcional
show_densitybooleanOpcional
show_exportbooleanOpcional
save_search_historybooleanOpcional
allows_multiple_selectionbooleanOpcional
assistantstringOpcional
filter_rule_idstringOpcional
default_sort_field_idstringOpcional
default_sort_directionstringOpcional
status_field_idstringOpcional
default_record_action_idstringOpcional
updated_atstring · date-timeOpcional
get/tables/{tableId}
GET /api/b2b/tables/{tableId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "database_id": "text",
  "name": "text",
  "title": "text",
  "active": true,
  "show_columns": true,
  "show_filters": true,
  "show_density": true,
  "show_export": true,
  "save_search_history": true,
  "allows_multiple_selection": true,
  "assistant": "text",
  "filter_rule_id": "text",
  "default_sort_field_id": "text",
  "default_sort_direction": "text",
  "status_field_id": "text",
  "new_record": {
    "enable": true,
    "description": "text",
    "form_id": "text",
    "form_name": "text"
  },
  "search": {
    "enable": true,
    "enable_suggestion": true,
    "field_placeholder": "text"
  },
  "default_record_action_id": "text",
  "fields": [
    {
      "id": "text",
      "title": "text",
      "name": "text",
      "order": 1,
      "table_id": "text",
      "database_field_id": "text",
      "type": "TIME",
      "rule": "DATE_TIME",
      "aggregate": "SUM",
      "visible": true,
      "enable_sorting": true,
      "enable_search": true,
      "use_as_status": true,
      "field_type": "DATABASE_FIELD",
      "options": [
        {
          "id": "text",
          "value": "text",
          "description": "text",
          "color": "text",
          "order": 1
        }
      ]
    }
  ],
  "actions": {
    "table_type": [
      {
        "id": "text",
        "form_id": "123e4567-e89b-12d3-a456-426614174000",
        "automation_id": "123e4567-e89b-12d3-a456-426614174000",
        "title": "text",
        "requires_record_selection": true,
        "icon": "CHECKLIST",
        "type": "TABLE",
        "display_rule_groups_logic_operator": "AND"
      }
    ],
    "record_type": [
      {
        "id": "text",
        "form_id": "123e4567-e89b-12d3-a456-426614174000",
        "automation_id": "123e4567-e89b-12d3-a456-426614174000",
        "title": "text",
        "requires_record_selection": true,
        "icon": "CHECKLIST",
        "type": "TABLE",
        "display_rule_groups_logic_operator": "AND"
      }
    ]
  },
  "updated_at": "2026-01-01T00:00:00.000Z"
}

Atualizar tabela

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
tableIdstringObrigatório

ID da tabela

Corpo
namestringOpcional
form_idstringOpcional
database_idstringOpcional
titlestringOpcional
activebooleanOpcional
show_columnsbooleanOpcional
show_filtersbooleanOpcional
show_densitybooleanOpcional
show_exportbooleanOpcional
save_search_historybooleanOpcional
allows_multiple_selectionbooleanOpcional
assistantstringOpcional
filter_rule_idstringOpcional
default_sort_field_idstringOpcional
default_sort_directionstringOpcional
status_field_idstringOpcional
default_record_action_idstringOpcional
Respostas
200

OK

application/json
idstringOpcional
database_idstringOpcional
namestringOpcional
titlestringOpcional
activebooleanOpcional
show_columnsbooleanOpcional
show_filtersbooleanOpcional
show_densitybooleanOpcional
show_exportbooleanOpcional
save_search_historybooleanOpcional
allows_multiple_selectionbooleanOpcional
assistantstringOpcional
filter_rule_idstringOpcional
default_sort_field_idstringOpcional
default_sort_directionstringOpcional
status_field_idstringOpcional
default_record_action_idstringOpcional
updated_atstring · date-timeOpcional
put/tables/{tableId}
PUT /api/b2b/tables/{tableId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 530

{
  "name": "text",
  "form_id": "text",
  "database_id": "text",
  "title": "text",
  "active": true,
  "show_columns": true,
  "show_filters": true,
  "show_density": true,
  "show_export": true,
  "save_search_history": true,
  "allows_multiple_selection": true,
  "assistant": "text",
  "filter_rule_id": "text",
  "default_sort_field_id": "text",
  "default_sort_direction": "text",
  "status_field_id": "text",
  "new_record": {
    "enable": true,
    "description": "text",
    "form_id": "text"
  },
  "search": {
    "enable": true,
    "enable_suggestion": true,
    "field_placeholder": "text"
  },
  "default_record_action_id": "text"
}
{
  "id": "text",
  "database_id": "text",
  "name": "text",
  "title": "text",
  "active": true,
  "show_columns": true,
  "show_filters": true,
  "show_density": true,
  "show_export": true,
  "save_search_history": true,
  "allows_multiple_selection": true,
  "assistant": "text",
  "filter_rule_id": "text",
  "default_sort_field_id": "text",
  "default_sort_direction": "text",
  "status_field_id": "text",
  "new_record": {
    "enable": true,
    "description": "text",
    "form_id": "text",
    "form_name": "text"
  },
  "search": {
    "enable": true,
    "enable_suggestion": true,
    "field_placeholder": "text"
  },
  "default_record_action_id": "text",
  "fields": [
    {
      "id": "text",
      "title": "text",
      "name": "text",
      "order": 1,
      "table_id": "text",
      "database_field_id": "text",
      "type": "TIME",
      "rule": "DATE_TIME",
      "aggregate": "SUM",
      "visible": true,
      "enable_sorting": true,
      "enable_search": true,
      "use_as_status": true,
      "field_type": "DATABASE_FIELD",
      "options": [
        {
          "id": "text",
          "value": "text",
          "description": "text",
          "color": "text",
          "order": 1
        }
      ]
    }
  ],
  "actions": {
    "table_type": [
      {
        "id": "text",
        "form_id": "123e4567-e89b-12d3-a456-426614174000",
        "automation_id": "123e4567-e89b-12d3-a456-426614174000",
        "title": "text",
        "requires_record_selection": true,
        "icon": "CHECKLIST",
        "type": "TABLE",
        "display_rule_groups_logic_operator": "AND"
      }
    ],
    "record_type": [
      {
        "id": "text",
        "form_id": "123e4567-e89b-12d3-a456-426614174000",
        "automation_id": "123e4567-e89b-12d3-a456-426614174000",
        "title": "text",
        "requires_record_selection": true,
        "icon": "CHECKLIST",
        "type": "TABLE",
        "display_rule_groups_logic_operator": "AND"
      }
    ]
  },
  "updated_at": "2026-01-01T00:00:00.000Z"
}

Excluir tabela

delete
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
tableIdstringObrigatório

ID da tabela

Respostas
204

Table deleted successfully

Sem conteúdo

delete/tables/{tableId}
DELETE /api/b2b/tables/{tableId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Sem conteúdo

Listar tabelas

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de consulta
searchstringOpcionalDefault: ""
pageinteger · int32OpcionalDefault: 0
perPageinteger · int32OpcionalDefault: 25
sortstringOpcionalDefault: title
dirstringOpcionalDefault: asc
nativeInstancestring · enumOpcional

Tipo de Instância Nativa

Valores possíveis:
Respostas
200

Tables listed

application/json
currentPageinteger · int32Opcional
perPageinteger · int32Opcional
totalinteger · int64Opcional
get/tables
GET /api/b2b/tables HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "currentPage": 1,
  "perPage": 1,
  "total": 1,
  "items": [
    {
      "id": "text",
      "name": "text",
      "title": "text",
      "active": true
    }
  ]
}

Criar tabela

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
namestringOpcional
database_idstringOpcional
titlestringOpcional
activebooleanOpcional
show_columnsbooleanOpcional
show_filtersbooleanOpcional
show_densitybooleanOpcional
show_exportbooleanOpcional
save_search_historybooleanOpcional
allows_multiple_selectionbooleanOpcional
assistantstringOpcional
filter_rule_idstringOpcional
default_sort_field_idstringOpcional
default_sort_directionstringOpcional
status_field_idstringOpcional
form_idstringOpcional
default_record_action_idstringOpcional
Respostas
201

Criado

application/json
idstringOpcional
database_idstringOpcional
namestringOpcional
titlestringOpcional
activebooleanOpcional
show_columnsbooleanOpcional
show_filtersbooleanOpcional
show_densitybooleanOpcional
show_exportbooleanOpcional
save_search_historybooleanOpcional
allows_multiple_selectionbooleanOpcional
assistantstringOpcional
filter_rule_idstringOpcional
default_sort_field_idstringOpcional
default_sort_directionstringOpcional
status_field_idstringOpcional
default_record_action_idstringOpcional
updated_atstring · date-timeOpcional
post/tables
POST /api/b2b/tables HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 777

{
  "name": "text",
  "database_id": "text",
  "title": "text",
  "active": true,
  "show_columns": true,
  "show_filters": true,
  "show_density": true,
  "show_export": true,
  "save_search_history": true,
  "allows_multiple_selection": true,
  "assistant": "text",
  "filter_rule_id": "text",
  "default_sort_field_id": "text",
  "default_sort_direction": "text",
  "status_field_id": "text",
  "form_id": "text",
  "new_record": {
    "enable": true,
    "description": "text",
    "form_id": "text"
  },
  "search": {
    "enable": true,
    "enable_suggestion": true,
    "field_placeholder": "text"
  },
  "default_record_action_id": "text",
  "fields": [
    {
      "name": "text",
      "title": "text",
      "table_id": "text",
      "database_field_id": "text",
      "type": "TIME",
      "mask": "DATE_TIME",
      "aggregate": "SUM",
      "visible": true,
      "enable_sorting": true,
      "enable_search": true,
      "use_as_status": true,
      "field_type": "DATABASE_FIELD"
    }
  ]
}
{
  "id": "text",
  "database_id": "text",
  "name": "text",
  "title": "text",
  "active": true,
  "show_columns": true,
  "show_filters": true,
  "show_density": true,
  "show_export": true,
  "save_search_history": true,
  "allows_multiple_selection": true,
  "assistant": "text",
  "filter_rule_id": "text",
  "default_sort_field_id": "text",
  "default_sort_direction": "text",
  "status_field_id": "text",
  "new_record": {
    "enable": true,
    "description": "text",
    "form_id": "text",
    "form_name": "text"
  },
  "search": {
    "enable": true,
    "enable_suggestion": true,
    "field_placeholder": "text"
  },
  "default_record_action_id": "text",
  "fields": [
    {
      "id": "text",
      "title": "text",
      "name": "text",
      "order": 1,
      "table_id": "text",
      "database_field_id": "text",
      "type": "TIME",
      "rule": "DATE_TIME",
      "aggregate": "SUM",
      "visible": true,
      "enable_sorting": true,
      "enable_search": true,
      "use_as_status": true,
      "field_type": "DATABASE_FIELD",
      "options": [
        {
          "id": "text",
          "value": "text",
          "description": "text",
          "color": "text",
          "order": 1
        }
      ]
    }
  ],
  "actions": {
    "table_type": [
      {
        "id": "text",
        "form_id": "123e4567-e89b-12d3-a456-426614174000",
        "automation_id": "123e4567-e89b-12d3-a456-426614174000",
        "title": "text",
        "requires_record_selection": true,
        "icon": "CHECKLIST",
        "type": "TABLE",
        "display_rule_groups_logic_operator": "AND"
      }
    ],
    "record_type": [
      {
        "id": "text",
        "form_id": "123e4567-e89b-12d3-a456-426614174000",
        "automation_id": "123e4567-e89b-12d3-a456-426614174000",
        "title": "text",
        "requires_record_selection": true,
        "icon": "CHECKLIST",
        "type": "TABLE",
        "display_rule_groups_logic_operator": "AND"
      }
    ]
  },
  "updated_at": "2026-01-01T00:00:00.000Z"
}